Subject: [bug#77651] [PATCH c++-team 1/1] gnu: Update abseil-cpp and abseil-cpp-20220623.

From: Greg Hogan <[email-masked]>
Date: Tue, 8 Apr 2025 16:37:33 -0400

On Tue, Apr 8, 2025 at 3:14 PM Andreas Enge <[email-masked]> wrote:
>
> Hello Greg,
>
> as usual, I would suggest a patch series of two commits, one per package;
> these would be pushed together, so it does not really matter that both
> need to be updated in lockstep.

This patch does break cleanly into three patches, one for the rename
and two for the simple updates.

> (This is not really different from what
> is done on the python-team branch, for instance, where often updating
> python-abc also requires to update python-xyz and python-123, but still
> we use one commit per package.)

You and Maxim should discuss this, whether in general it is preferred
to make one commit per package or to combine commits to prevent
breakage in between. The latter does better allow users to
time-machine anywhere in the history but can require very large
commits and that contributors track down and apply fixes on branches
at the point of the breaking change.

> Andreas

Greg